using FluentValidation;
using Hotline.Share.Dtos.Users;

namespace Hotline.Validators.User;

public class ChangePasswordDtoValidator : AbstractValidator<ChangePasswordDto>
{
    public ChangePasswordDtoValidator()
    {
        RuleFor(d => d.CurrentPassword).NotEmpty();
        RuleFor(d => d.NewPassword).NotEmpty();
        RuleFor(d => d.CurrentPassword).NotEqual(d => d.NewPassword);
    }
}